PDA

View Full Version : Logitech Media Server 7.7.3 released



mherger
2013-08-22, 09:25
Who would have thought?... We just released version 7.7.3 of the Logitech Media Server software. This is a minor update with most important changes for OSX users:


Improved OSX support: new signed installer, 64-bit preference pane, improved power management handling, support for the upcoming OSX 10.9
Support for Linux versions running Perl 5.16
Improved radio station artwork handling
Fixed several issues with caches
Fixed a memory leak
Several minor bug fixes


See the full changelog (http://htmlpreview.github.io/?https://github.com/Logitech/slimserver/blob/public/7.7/Changelog7.html) for more details.

The latest LMS 7.7.3 files can be grabbed from mysqueezebox.com (http://www.mysqueezebox.com/download).

Supertramp
2013-08-22, 10:08
:cool: Excellent news, Michael. :cool:

Corelli45
2013-08-22, 10:34
Does this mean you'll eventually release 7.8?

erland
2013-08-22, 11:07
We just released version 7.7.3 of the Logitech Media Server software. This is a minor update with most important changes for OSX users

Excellent work, fixes several issues that have been a bit frustrating to me personally.

dewinkle
2013-08-22, 11:33
Who would have thought?... We just released version 7.7.3 of the Logitech Media Server software. This is a minor update with most important changes for OSX users:

Great!!! Thanks so much keeping this software alive and evolving!

Apesbrain
2013-08-22, 11:54
I noticed there is also a fab4_7.7.3 firmware but it wouldn't install for me.

http://update.slimdevices.com/update/firmware/7.7.3/

Does it include anything essential for this release? Thanks.

Adjunkten
2013-08-22, 12:16
Long live Squeezebox!

Is this release "safe" on Classic and Boom? No UE stuff?

garym
2013-08-22, 12:27
Long live Squeezebox!

Is this release "safe" on Classic and Boom? No UE stuff?

It's completely unrelated to UE.

Adjunkten
2013-08-22, 12:33
It's completely unrelated to UE.

Cheers, garym. I'll have a go then.

norderney
2013-08-22, 12:47
I've just installed the latest update too. What a nice surprise.

mherger
2013-08-22, 14:33
> Long live Squeezebox!

Yes!

> Is this release "safe" on Classic and Boom? No UE stuff?

No UE stuff.

--

Michael

mherger
2013-08-22, 14:34
> Does this mean you'll eventually release 7.8?

No.

--

Michael

mherger
2013-08-22, 14:38
> I noticed there is also a fab4_7.7.3 firmware but it wouldn't install
> for me.

How does it fail?

--

Michael

gorman
2013-08-22, 16:58
Thanks for keeping up support. I don't understand the 7.8 reply as elsewhere I have seen work undergoing to solve slow New Music performance.

Apesbrain
2013-08-22, 17:27
> I noticed there is also a fab4_7.7.3 firmware but it wouldn't install for me.

How does it fail?
I downloaded the firmware files, tried installing from USB, and received an error: "There was a problem installing this update. Please try again or contact support." Downloaded the files a second time and tried again but still no luck.

widmark
2013-08-22, 17:58
Been waiting for this for a long time, especially 64bit support, but I'm also getting an error on installation saying "The installation failed. The Installer encountered an error that caused the installation to fail. Contact the software manufacturer for assistance."

Any suggestions before I start emailing/calling support?

nonnoroger
2013-08-22, 23:46
> Does this mean you'll eventually release 7.8?

No.

--

Michael

Have been happily using 7.8 for a while now. Are the Mavericks changes being carried over or will I have to use 7.7.3?

danco
2013-08-22, 23:58
> Does this mean you'll eventually release 7.8?

No.

--

Michael

Does that "No" mean that you won't be releasing 7.8 or just that the release of 7.7.3 does not carry with it any definite decision about 7.8?

Corelli45
2013-08-23, 05:09
No appears quite definite. I'm just curious as to why Logitech is helping the community firm up the 7.8 beta.Do Logitech plan to release a new product or will the LMS be handed over/sold to community developers permanently for use in their own OS and hardware?The 7.8 appears to run well on my own system so it must be near enough stable for release?

garym
2013-08-23, 05:12
No appears quite definite. I'm just curious as to why Logitech is helping the community firm up the 7.8 beta.Do Logitech plan to release a new product or will the LMS be handed over/sold to community developers permanently for use in their own OS and hardware?The 7.8 appears to run well on my own system so it must be near enough stable for release?

I think the additional work on 7.8 is just Michael being helpful to our community. And there is nothing to sell to anyone. My understanding is that LMS is open source already. For example:

"Logitech Media Server is Open Source Software and written in Perl" (from the wiki:

http://wiki.slimdevices.com/index.php/Logitech_Media_Server

mherger
2013-08-23, 05:41
> I downloaded the firmware files, tried installing from USB, and received
> an error: "There was a problem installing this update. Please try again
> or contact support." Downloaded the files a second time and tried again
> but still no luck.

Hmm... just leave it alone. Unless you get the new firmware offered
through LMS you shouldn't mess with it.

I'm currently traveling - will double-check about the 7.7.3 firmware once
I'm back at the office. But I don't think we did any change in the
firmware.

--

Michael

mherger
2013-08-23, 05:41
> Been waiting for this for a long time, especially 64bit support, but I'm
> also getting an error on installation saying "The installation failed.
> The Installer encountered an error that caused the installation to fail.
> Contact the software manufacturer for assistance."

What OS version are you running?

--

Michael

mherger
2013-08-23, 05:42
> Have been happily using 7.8 for a while now. Are the Mavericks changes
> being carried over or will I have to use 7.7.3?

7.8 should be fully up to date. I often test changes in 7.8 before
back-porting them to 7.7.

--

Michael

mherger
2013-08-23, 05:45
>> > Does this mean you'll eventually release 7.8?
>>
>> No.
>
> Does that "No" mean that you won't be releasing 7.8 or just that the
> release of 7.7.3 does not carry with it any definite decision about 7.8?

It means "No" to the question: releasing 7.7.3 does not mean Logitch will
eventually release 7.8. Don't read too much into this release. It's just
what it is: 7.7.3. Anything beyond that the future will tell.

--

Michael

widmark
2013-08-23, 21:50
> been waiting for this for a long time, especially 64bit support, but i'm
> also getting an error on installation saying "the installation failed.
> the installer encountered an error that caused the installation to fail.
> contact the software manufacturer for assistance."

what os version are you running?

--

michael

osx 10.8.4

marsboer
2013-08-24, 05:00
I see there is a .deb for Debian for download, but the repository at debian.slimdevices.com is not updated. When will the repository get 7.7.3?

grifforama
2013-08-24, 05:02
Even with this update, playlists still do not work in the ITunes plugin ? Will this ever be fixed ?

widmark
2013-08-24, 17:09
osx 10.8.4

And now it worked. Not sure what took care of it.

scz
2013-08-25, 03:27
I updated from 7.7.2 to 7.7.3 on Win7 and all my players vanished - not something I have seen before in updating over quite a few years. Interestingly, softsqueeze running on the LMS pc worked fine, but neither of my squeezeboxes nor Orange Squeeze trying to register as a controller could see the server at all. I have reverted to 7.7.2 which instantly picked up all the devices and is working fine.

Not a major problem for me - 7.7.2 works well and I have no need to update, but a bit curious about what might be going on.

MikeWynneDub
2013-08-25, 10:54
I see there is a .deb for Debian for download, but the repository at debian.slimdevices.com is not updated. When will the repository get 7.7.3?

I too would like to know the answer to this...

Thanks!

BTW, still love my SB.

dzemke
2013-08-25, 13:01
Hi there, I recently upgraded from 7.7.2 to 7.7.3. on an olderMac G5 tower system running OSX 10.5.8 and it no longer works. Does anyone have any info on where I can find the previous versions? I'd like to roll it back, but I can't find the old version of the software. I've looked all over logitech.com, the Squeezebox Wiki and the support site and I can't seem to find it.

garym
2013-08-25, 13:10
Hi there, I recently upgraded from 7.7.2 to 7.7.3. on an olderMac G5 tower system running OSX 10.5.8 and it no longer works. Does anyone have any info on where I can find the previous versions? I'd like to roll it back, but I can't find the old version of the software. I've looked all over logitech.com, the Squeezebox Wiki and the support site and I can't seem to find it.

all available here:

http://downloads.slimdevices.com/

mherger
2013-08-26, 04:29
> Hi there, I recently upgraded from 7.7.2 to 7.7.3. on an olderMac G5
> tower system running OSX 10.5.8 and it no longer works.

How exactly does it fail? We tested against 10.5-10.9 successfully.

--

Michael

mherger
2013-08-26, 04:30
> I see there is a .deb for Debian for download, but the repository at
> debian.slimdevices.com is not updated. When will the repository get
> 7.7.3?

Will have to figure that one out... thanks for the heads up.

--

Michael

nikstra
2013-08-26, 16:42
Bug Fixes:
...
Artwork cache would grow forever
...

Does this fix shrink an existing overgrown cache during upgrade or does it only prevent it from getting larger?

mherger
2013-08-27, 00:10
> Does this fix shrink an existing overgrown cache during upgrade or does
> it only prevent it from getting larger?

It doesn't shrink it, but it would re-use the now (internally) freed
space. If your file is large, then it might be worth deleting it while LMS
is shut down.

--

Michael

lrossouw
2013-08-28, 13:46
Also tried upgrading via repository (debian) and did not find the new version. This is they way I did it in the past.

mherger
2013-08-28, 14:49
I'm sorry for the delay... there's a bit of a learning curve for me. This is one of the parts of a release I've never done. Any pointer would be greatly appreciated :-).

Michael

> Am 28.08.2013 um 22:46 schrieb lrossouw <lrossouw.60sw5z (AT) no-mx (DOT) forums.slimdevices.com>:
>
>
> Also tried upgrading via repository (debian) and did not find the new
> version. This is they way I did it in the past.
>
>
>
> Louis
> 'Last.fm' (http://www.last.fm/user/lrossouw)
> ------------------------------------------------------------------------
> lrossouw's Profile: http://forums.slimdevices.com/member.php?userid=3416
> View this thread: http://forums.slimdevices.com/showthread.php?t=99452
>
>

Giraff
2013-08-29, 01:23
Thank you for some system improvement and this release.

My system automatic downloaded it and asked for the update to begin.
The update ran very smooth on a Windows 2008 R2 64bit server.

So job well done for this.

bert1e
2013-08-29, 07:02
Just tried to do a yum update on my clearos box and no update available. It appears to check http://repos.slimdevices.com/yum/squeezecenter/release/ for a new RPM.

Mnyb
2013-08-29, 07:47
Just tried to do a yum update on my clearos box and no update available. It appears to check http://repos.slimdevices.com/yum/squeezecenter/release/ for a new RPM.

You can use rpm instead , I do that out of habit since clarkconect it works but maybe yum is the prefers way to do it these days.

I was not even aware of that you could use yum for LMS on clearos :) and that there was a repo avaible.
Is there a way to get 7.8 this way .

mattyflac
2013-08-29, 18:15
Thanks for the Update, Radio Artwork update is cool too.

bert1e
2013-08-30, 00:43
You can use rpm instead , I do that out of habit since clarkconect it works but maybe yum is the prefers way to do it these days.

I was not even aware of that you could use yum for LMS on clearos :) and that there was a repo avaible.
Is there a way to get 7.8 this way .

I installed it by manually downloading the rpm and using yum localinstall so upgraded all good.

I dont think there is a repo for 7.8 I looked in the testing and unstable areas and they dont appear to be up to date or hold any 7.8 version.

jspamc
2013-08-31, 08:05
It works great when the server is running on Windows 7, but I only get the radio tower icon when I run on my old Windows XP server.

Any thoughts?

Thank you!

Edit: complete uninstall/reinstall on the XP machine did the trick. Working great. THANK YOU!

Prime Heretic
2013-09-01, 07:43
Updates! - Long live LMS!

Was about to post asking about the status of the debian repository at http://debian.slimdevices.com but I see someone already mentioned it on page 3.

Presumably I can wait for the debian repository to be updated and don't need to switch to manual updates going forward?

Pascal Hibon
2013-09-01, 08:37
Even with this update, playlists still do not work in the ITunes plugin ? Will this ever be fixed ?

What do you mean with playlists still do not work?
I'm currently on 7.7.2 and playlists work just fine.

cuberob
2013-09-02, 13:54
This update surprised me today, but awesome work, thanks!!

zebb
2013-09-04, 09:09
> I downloaded the firmware files, tried installing from USB, and received
> an error: "There was a problem installing this update. Please try again
> or contact support." Downloaded the files a second time and tried again
> but still no luck.

Hmm... just leave it alone. Unless you get the new firmware offered
through LMS you shouldn't mess with it.

I'm currently traveling - will double-check about the 7.7.3 firmware once
I'm back at the office. But I don't think we did any change in the
firmware.

--

Michael

I'm running Mac 10.8.4 (Mountain Lion), tried to install update 7.7.3, would not install, stopped just over half way, window came up to stop server, opened Preferences and unable to stop server. When I click on Status it shows that the server is starting but it won't start and I"m unable to stop server since it is trying to start. Tried about a dozen times, no luck.

Anybody have any suggestions?

Thanks in advance.

wotuzu17
2013-09-05, 09:31
Also tried upgrading via repository (debian) and did not find the new version. This is they way I did it in the past.

I'm also waiting for the updated repository.

marsboer
2013-09-06, 00:25
I'm sorry for the delay... there's a bit of a learning curve for me. This is one of the parts of a release I've never done. Any pointer would be greatly appreciated :-).

Michael


So you are basically telling us that this is not documented or automated by the person(s) doing this in the past? I think that is kind of funny when thinking of all the previous releases in that repository :)

mherger
2013-09-06, 00:45
> So you are basically telling us that this is not documented or automated
> by the person(s) doing this in the past? I think that is kind of funny
> when thinking of all the previous releases in that repository :)

Excellent pointer: documentation! Thanks to our friends at NSA^h^h^h big G
I found some internal documentation which might help me getting up to
speed :-)

--

Michael

Owen Smith
2013-09-10, 10:46
all available here:

http://downloads.slimdevices.com/

I always have copies of all the release files for the LMS release I'm currently running and one or two previous stable ones. So even if the plug is pulled on the downloads server, I have what I need.

7.7.3 claims to fix the thing that took me months to track down on my WHS v1 box, the ever growing cache files. Now I just have to get round to installing 7.7.3.

solarrdadd
2013-09-13, 18:06
i've been runnint 7.7.2 on a win7 music server pc for months and just got a message about an update for the program, it's possible it's 7.7.3; should i upgrade or just stay with 7.7.2 as i've had no problems with it?

i ask because i'm not sure if i really need to upgrade and i also thought logitech gave up on this stuff a while ago so i'm wondering where the update came from?

garym
2013-09-13, 18:20
i've been runnint 7.7.2 on a win7 music server pc for months and just got a message about an update for the program, it's possible it's 7.7.3; should i upgrade or just stay with 7.7.2 as i've had no problems with it?

i ask because i'm not sure if i really need to upgrade and i also thought logitech gave up on this stuff a while ago so i'm wondering where the update came from?

I haven't bothered. It's mostly things for macs. When I update it will be to 7.8 beta as it does have some features I would like.

solarrdadd
2013-09-13, 18:50
I haven't bothered. It's mostly things for macs. When I update it will be to 7.8 beta as it does have some features I would like.

thanks buddy, hope your doing well.

Schlunze
2013-09-26, 14:50
Hello,

first of all, thank you for the update!!!!!

I've seen it today and updatet without any problems with Archlinux.
Is it possible to finally use newer versions of perl?

The Squeezebox is alive ... Great

mherger
2013-09-26, 21:53
> I've seen it today and updatet without any problems with Archlinux.
> Is it possible to finally use newer versions of perl?

There are several discussions on this topic. 7.7.4: 5.16/32-bit, 7.8.x
5.18/64-bit are the latest and greatest available.

--

Michael

Schlunze
2013-09-27, 00:18
>
There are several discussions on this topic. 7.7.4: 5.16/32-bit, 7.8.x
5.18/64-bit are the latest and greatest available.


Thanks,

haven't looking over LMS topics quite a long time.
I will give the nightly 7.8 a try.

Danke
It's alive... Great

rickwookie
2013-09-28, 05:38
I'm sorry for the delay... there's a bit of a learning curve for me. This is one of the parts of a release I've never done. Any pointer would be greatly appreciated :-).

MichaelSo... ...a month on, are we any closer to getting the 7.7.3 deb into the repo?

zordaz
2013-10-03, 07:14
So... ...a month on, are we any closer to getting the 7.7.3 deb into the repo?

I upgraded to 7.7.3 via the repo a few weeks ago, so this already is in place. What goes wrong in your case?

GeeJay
2013-10-04, 09:55
Thanks for the upgrade, Michael. I have been running 7.7.3 on OSX for the past month, and it boots and runs flawlessly!

mherger
2013-10-05, 04:01
> So... ...a month on, are we any closer to getting the 7.7.3 deb into the
> repo?

Oh, I thought it was? Did you try again?

--

Michael

Owen Smith
2013-10-05, 04:06
Thanks for the upgrade, Michael. I have been running 7.7.3 on OSX for the past month, and it boots and runs flawlessly!

After my initial problems with BBC iPlayer disappearing and re-appearing (twice), 7.7.3 is working fine for me too. It's great to have a database that doesn't keep growing endlessly.

shacky
2013-10-06, 15:45
Thanks so much! My Touch is working great on new firmware!

artmaltman
2013-10-16, 06:19
Greetings! Thank you for the ongoing interest and support!

Question: My server (MacBook Pro) has LMS v7.7.3 which I think is latest official version from Logitech.

My MacBook Air has v7.8. Is this a beta? Or did one of the former Squeezebox programmers do this?

Are the servers diverging in functionality, quality, etc.
What are pro's and con's of these two versions?
What's the story?

Thank you!
Art

garym
2013-10-16, 06:20
7.8 is logitech beta. for change log see:
http://forums.slimdevices.com/showthread.php?95670-LMS-7-8-Nightly-Builds-change-log-appretiated

mherger
2013-10-16, 06:48
> 7.8 is logitech beta.

While that's technically true, there are no plans to ever officially
release 7.8. It's the community branch.

--

Michael

mherger
2013-10-16, 06:54
> Question: My server (MacBook Pro) has LMS v7.7.3 which I think is
> latest official version from Logitech.

Correct.

> My MacBook Air has v7.8. Is this a beta? Or did one of the former
> Squeezebox programmers do this?

I'm still a Logitech employee :-).

> Are the servers diverging in functionality, quality, etc.

7.8 has some improvements which are not in 7.7.x (yet). 7.7.x mostly gets
bug fixes and changes to keep up with new platforms (eg. OSX 10.9).

Some of the changes in 7.8 have slightly experimental character (eg.
in-built image proxy, new podcast implementation etc. - to make LMS less
dependent on mysb.com), as well as improvements which are not strictly
bugs in 7.7 (some performance tweaks). Some of these changes later make it
to the official 7.7 branch.

> What are pro's and con's of these two versions?

7.7.3 - stable, little changes (7.7.2 was there as the latest and greatest
for more than a year). Official support (if this can be considered a pro
is questionable, but some like it).

7.8.0 - is the latest and greatest, with some nice additions, but at the
risk of being broken every now and then. It's pretty stable in general.
And it's in eternal beta mode (for those who care).

> What's the story?

Oh, that's too long for this posting...

--

Michael

jeffstake
2013-10-20, 08:25
I tried to install 7.7.3, but it says it requires 10.5. Will 10.4.11 support be coming?
I seem to have a lot of bugs with 7.7.2. If no 7.7.3 support is coming for osx 10.4.11, is there an earlier version of logitech media server (or squeezecenter, etc.) that works better on 10.4.11?
thanks

jeffstake
2013-10-20, 08:31
Just to name a couple of the "bugs" (these are really serious problems for me):
1, When I tell it to rescan, it never stops.
2, I cannot control the location of the playlists. It is stuck on ".Trash/Playlists", which is a location I cannot even find. In the "library" tab, I hit "browse" and find the location and hit "open". it displays the right location, then i go to rescan, return to the library tab and it has reverted to .Trash
3, It never stops saying "the server is starting", and never offers the option to "stop server"

mherger
2013-10-21, 03:58
> I tried to install 7.7.3, but it says it requires 10.5.
> Will 10.4.11 support be coming?

No. 10.4 support is dead. You can stick with 7.7.2 and disable the update
mechanism if you want to continue to use 10.4. The biggest changes in
7.7.3 were actually adding support for 10.9 (which caused removal of 10.4
compatibility as a side-effect).

--

Michael

jeffstake
2013-10-21, 09:30
Thanks for the reply.
Is there some older version that works better on 10.4? Or is there a way to fix these bugs? (These are really serious problems for me.)
1, When I tell it to rescan, it never stops.
2, I cannot control the location of the playlists. It is stuck on ".Trash/Playlists", which is a location I cannot even find. In the "library" tab, I hit "browse" and find the location and hit "open". It displays the right location, then I go to rescan, return to the library tab and it has reverted to .Trash/Playlists.
3, It never stops saying "the server is starting", and never offers the option to "stop server".

mherger
2013-10-21, 09:37
> Is there some older version that works better? Or is there a way to fix
> these bugs? (These are really serious problems for me.)

What platform are you using?

--

Michael

jeffstake
2013-10-21, 10:02
Many thanks for the reply!
I am using OSX 10.4.11, but I just ordered DVDs of 10.5.6, which I should get in a week. 10.5 is the highest that my iBook G4 can possibly go, so I will have reached the limit if I do that install.
At that point I hope I can install 7.7.3, and I hope that stops the pain.
Would you advise me to try to fix my current installation, 10.4.11, or to try the upgrade to 10.5.6? (The upgrade will of course take some time for me to install, so I do not want to go through that if I will end up in the same spot and have wasted my time.)
I use this iBook only for logitech media server, nothing else.
thanks again!
jeff

mherger
2013-10-21, 10:22
> I am using OSX 10.4.11, but I just ordered DVDs of 10.5.6, which I
> should get in a week. 10.5 is the highest that my iBook G4 can possibly
> go, so I will have reached the limit if I do that install.

7.7.3 does no longer run on PowerPC either, I'm sorry to say. I must admit
that I forgot to add this to the changelog...

As I said before: stick with 7.7.2 or whatever you had before. Unless you
had serious other issues which are supposed to be fixed in 7.7.3

--

Michael

jeffstake
2013-10-21, 11:00
ouch. There goes $40 down the tubes.
As I said, 7.7.2 is not working well at all. Maybe I am doing something wrong, but I cannot fix any of the bugs above, including changing the location of the playlists.
jeff

Roland0
2013-10-21, 11:12
2, I cannot control the location of the playlists. It is stuck on ".Trash/Playlists", which is a location I cannot even find. In the "library" tab, I hit "browse" and find the location and hit "open". It displays the right location, then I go to rescan, return to the library tab and it has reverted to .Trash/Playlists..
Did you click "Apply" after changing the playlist location?
If yes:
- locate the Preferences Folder (in the WebGUI, go to Settings->Information, e.g. something like /Users/<username>/Library/Application Support/Squeezebox/)
- shut down LMS
- edit the server.prefs file in the Preferences Folder with a text editor. Look for a line like:


playlistdir: /data/playlist

and change it

jeffstake
2013-10-21, 11:16
Maybe I should ask a very specific question. I am using 7.7.2 on a G4 with 10.4.11. When I want to change the location of the playlists, I go to "library", then next to the playlist location I hit "browse" then I go to my attached usb drive and click on the "playlist" folder, then hit "open". What is the next step after that? [there is no "apply" button"]
jeff

Roland0
2013-10-21, 11:45
Maybe I should ask a very specific question. I am using 7.7.2 on a G4 with 10.4.11. When I want to change the location of the playlists, I go to "library", then next to the playlist location I hit "browse" then I go to my attached usb drive and click on the "playlist" folder, then hit "open". What is the next step after that? [there is no "apply" button"]


15242

jeffstake
2013-10-21, 12:08
Thank you Roland0, for that screen shot, and for trying to help me!
I am not sure what version of media center is being used in the screen shot you posted.
That screenshot does not look much like what I see with 7.7.2 on my iBook G4.
In addition to other differences, 7.7.2. in my installation does not have the "apply" button that appears on your screenshot.
jeff

jeffstake
2013-10-21, 12:15
Thank you Roland0. I will try to find the file and edit it with a text editor. I guess I will have to find a text editor!

mherger
2013-10-21, 13:38
> I have never used the web GUI. I will try to figure out how to do that.

http://localhost:9000/ on that machine.

--

Michael

jeffstake
2013-10-21, 15:19
When I try that, it says
"Safari can't open the page "localhost:9000" because Safari can't connect to the server "local host"."



> I have never used the web GUI. I will try to figure out how to do that.

http://localhost:9000/ on that machine.


--

Michael

jeffstake
2013-10-21, 15:27
Well, I tried doing something new. Instead of telling LMS to start LMS upon boot or login, I told it to do nothing. Then, after reboot, I started it manually. Now the stop button works, and it looks like I can change the playlist. Maybe I just have to remember not to try to use any automatic start feature. I hope that is the fix! (I have not tried rescanning everything, which was impossible earlier.) And I hope I remember that fix. Thanks to both of you for suggestions!
jeff

mherger
2013-10-21, 21:09
> When I try that, it says
> "Safari can't open the page "localhost:9000" because Safari can't
> connect to the server "local host"."

Ok, in the prefpane, "Advanced" tab there's a "Web Remote Control" button.
Pick that one.

--

Michael

jeffstake
2013-10-22, 18:06
Thanks Michael!

jeffstake
2013-10-23, 07:03
Since I cannot update to 7.7.3, what are the steps in 7.7.2 I need to take to prevent the notices each day that there is a new version available?

toby10
2013-10-23, 07:18
LMS > Settings > Advanced > Software Updates > Do not check & Do not download

mherger
2013-10-23, 07:22
> Since I cannot update to 7.7.3, what are the steps in 7.7.2 I need to
> take to prevent the notices each day that there is a new version
> available?

Settings/Advanced/Software updates: disable checks etc. Then go to LMS'
cache folder (can be found in Settings/Information) and remove installers
if there are any left.

--

Michael

jeffstake
2013-10-23, 08:45
This is weird. I looked there (localhost:9001/settings; advanced) before I asked, and I do not see any update choices at all under the advanced tab. All I get is choices about artwork and tag formats. I'll try to take a photo of the screen and send it.

kidstypike
2013-10-23, 09:05
This is weird. I looked there (localhost:9001/settings; advanced) before I asked, and I do not see any update choices at all under the advanced tab. All I get is choices about artwork and tag formats. I'll try to take a photo of the screen and send it.

Did you click the dropdown box?

jeffstake
2013-10-23, 21:20
Bingo. That was it. Either I did not see the drop down button next to "formatting" or I did not realize that the button would allow me to find options other than formatting. I'm not very good at rooting around on my iBook (obviously). It is a hand-me-down from my daughter and I use it only for running LMS.
I still do not understand why it doesn't work right when I choose automatic start upon boot or login, but that does not really matter. It is working now and making beautiful music with my new Stirling Broadcast speakers.
This squeezebox system is really pretty amazing, but everyone here knows that.
Thank you all for your patience and support!!

mherger
2013-10-23, 21:26
> I still do not understand why it doesn't work right when I choose
> automatic start upon boot or login, but that does not really matter. It

Did you try a different option? And then go back? I've seen reports where
the very first time somehow didn't stick...

--

Michael

jweber
2013-10-24, 12:47
> I still do not understand why it doesn't work right when I choose
> automatic start upon boot or login, but that does not really matter. It

Did you try a different option? And then go back? I've seen reports where
the very first time somehow didn't stick...


I'm having the same problem. When I turn it on, it creates a file ~/Library/LaunchAgents/UEMusicLibrary.plist. This tells it to start "/Library/PreferencePanes/UEMusicLibrary.prefPane/Contents/server/ueml.pl". But that file doesn't exist; the preference pane is called Squeezebox.prefPane.

mherger
2013-10-24, 12:53
> I'm having the same problem. When I turn it on, it creates a file
> ~/Library/LaunchAgents/UEMusicLibrary.plist. This tells it to start
> "/Library/PreferencePanes/UEMusicLibrary.prefPane/Contents/server/ueml.pl".
> But that file doesn't exist; the preference pane is called
> Squeezebox.prefPane.

Did you install a "UE Media Library" build (10.0)? That's for the UE Smart
Radio, not for the Squeezebox

Better get rid of it and re-install LMS.

--

Michael

jeffstake
2013-10-26, 00:00
Hi again.
Even after I have changed the settings so that it is not supposed to ask me to update, it keeps doing so.
And, rescanning all files always results in a failure at some point.

toby10
2013-10-26, 01:58
Even after I have changed the settings so that it is not supposed to ask me to update, it keeps doing so....

The problem is that LMS already downloaded the update prior to your turning updates off in LMS settings. You need to delete the contents of the LMS update folder itself then reboot LMS. For a PC it is at (no idea on a Mac): C:\Documents and Settings\All Users\Application Data\Squeezebox\Cache\updates

jeffstake
2013-10-26, 07:39
Thanks Toby10.
That makes sense. I'll look for that folder, although I am imagining now that it is hidden and, as I said before, I'm not good at rooting around on Macs. I find Windows boxes a lot easier to understand. [I will say this for the iBook, however, the G4 hardware has lasted better than any of my PCs. I just do not find the software intuitive.]

garym
2013-10-26, 07:42
Thanks Toby10.
That makes sense. I'll look for that folder, although I am imagining now that it is hidden and, as I said before, I'm not good at rooting around on Macs. I find Windows boxes a lot easier to understand. [I will say this for the iBook, however, the G4 hardware has lasted better than any of my PCs. I just do not find the software intuitive.]

Go to LMS > Settings > Information tab and look at the bottom. It shows the location of the cache folder on your system.

jeffstake
2013-10-26, 08:04
For the benefit of the rare newbie like me, the update folder seems to be at users/username/library/caches/squeezebox/update.
I've deleted the 7.7.3 dmg file and will hope that the update offers cease.

I still have scanning problems, the first being that a scan often but not always stops the LMS entirely, and the second occurring after restarting LMS when the scan gets stuck "scanning new media files", finding zero, and never stops, requiring that I abort it.

garym
2013-10-26, 08:14
For the benefit of the rare newbie like me, the update folder seems to be at users/username/library/caches/squeezebox/update.
I've deleted the 7.7.3 dmg file and will hope that the update offers cease.

I still have scanning problems, the first being that a scan often but not always stops the LMS entirely, and the second occurring after restarting LMS when the scan gets stuck "scanning new media files", finding zero, and never stops, requiring that I abort it.

have you "unticked" the pictures and videos in the Settings > Basic Settings tab. And depending on the "power" of the machine running LMS, you may find it lags/stops when scanning your music. I used to get a bit of that when using low powered machines. But the scanning itself didn't stop, only the LMS playing music or internet streams would stop temporarily.

jeffstake
2013-10-26, 08:39
have you "unticked" the pictures and videos in the Settings > Basic Settings tab. And depending on the "power" of the machine running LMS, you may find it lags/stops when scanning your music. I used to get a bit of that when using low powered machines. But the scanning itself didn't stop, only the LMS playing music or internet streams would stop temporarily.

I did untick the pictures and videos, but that did not help. [I am using the G4 on AC power, as the battery is essentially dead.] There is a second line of ticked buttons for a second folder, but LMS will not let me untick those buttons.

garym
2013-10-26, 11:03
I did untick the pictures and videos, but that did not help. [I am using the G4 on AC power, as the battery is essentially dead.] There is a second line of ticked buttons for a second folder, but LMS will not let me untick those buttons.

OK. yes, that second line is always like that. You should go into settings > Advanced > logging, and set scanning logging level to debug.

jeffstake
2013-10-27, 08:12
In an attempt to figure out where my scans were going wrong, I changed some of the advanced scan settings to debug, then started a scan. LMS stopped, and every time I tried to restart it failed. It would say "starting" and then stop without ever reaching "running". That prevented me from entering the "advanced settings" to change the scan settings back. So, I hit reset logging preferences and run clean up on both preference files and cache. That allowed me to restart LMS. Then I ran a clear library and rescan. That was interrupted by an offer to update, so I had to change the update to no update and delete the 7.7.3 that had already been downloaded to cache. After I did that and unticked the pictures and videos, the scan completed, for the first time in a long time. So, it seems like most things are fixed. I am not sure I have the courage to try auto start, but maybe I will someday. For now, I'm avoiding auto start.

Thanks to garym and thanks again to every one here for your guidance and patience.

jeffstake
2013-10-27, 08:17
By the way, I had one other problem that for a moment seemed to be connected to LMS, but was not. I was getting garbled signal with Hi-Res audio files, but then I realized that I had substituted a new optical cable at one point. It worked fine with low res files, and I had not tried hi-res, assuming that if one worked the other would as well. Bad assumption. When I put back the cheaper optical cable, the hi-res files played fine again.

Antoniop
2013-10-27, 12:38
Hi,
I'm running linux mageia 3. I installed the rpm without problem but it doesn't start.
My perl version is :


# perl -v
This is perl 5, version 16, subversion 3 (v5.16.3) built for x86_64-linux-thread-multi


When I try to run it manually, I have the following :


# /usr/libexec/squeezeboxserver
NOTE: Class::XSAccessor 1.05+ not found, install it for better performance
DBD::SQLite object version 1.40 does not match bootstrap parameter 1.34_01 at /usr/lib/perl5/5.16.3/x86_64-linux-thread-multi/DynaLoader.pm line 213.
Compilation failed in require at /usr/lib/perl5/vendor_perl/Slim/Utils/DbCache.pm line 11.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/Slim/Utils/DbCache.pm line 11.
(... same 2 lines several times)


I installed DBD::SQLite using cpan. I also installed many perl things using either the package management software or cpan, but It still doesn't work so I think I'm not going in the right direction.
I know nothing about perl.

Before 7.7.3, I was using 7.8 from http://www.jamesarbrown.com/?p=186 because of perl version problem with 7.7.2, but I've another system to migrate to mageia 3 and I'd rather use "official" package.
Before that I was using 7.7.2 with mageia 2, using perl 5.14. I mention this is the the first time I've a problem with the regular LMS packages, so I suppose there is a difference on how this last version installs itself or with my linux.
Thanks a lot for your help.
I'm not an expert on linux, so please be patient.
Antonio

mherger
2013-10-27, 13:04
I added support for Perl 5.16/64 bit only a few weeks ago to 7.8. You might give that a try.

Antoniop
2013-10-28, 02:52
I installed beta 7.8 and it works !
Thanks a lot, it was a bit of a nightmare to make it work since the change of my distrib to perl 5.16, so all much better. Also, I'm using musicIp too with LMS, and that's very great, I wouldn't change for anything in the world.

Another question : everything looks fine but when I query for the service status I have this memory alloc error message :



# service squeezeboxserver status
squeezeboxserver.service - LSB: Startup script for the Logitech Media Server
Loaded: loaded (/etc/rc.d/init.d/squeezeboxserver)
Active: active (exited) since Mon, 2013-10-28 10:30:33 CET; 8min ago
Process: 2698 ExecStart=/etc/rc.d/init.d/squeezeboxserver start (code=exited, status=0/SUCCESS)
CGroup: name=systemd:/system/squeezeboxserver.service

Oct 28 10:30:32 barbatruc systemd[1]: Starting LSB: Startup script for the Logitech Media Server...
Oct 28 10:30:32 barbatruc su[2704]: (to squeezeboxserver) root on none
Oct 28 10:30:33 barbatruc squeezeboxserver[2698]: Starting Squeezebox Server: Unable to read prefs from /var/lib/squeezeboxserver/prefs/server.prefs : Usage: YAML::XS::LibYAML::Load....pm line 48.
Oct 28 10:30:33 barbatruc squeezeboxserver[2698]: dirsFor: Didn't find a match request: [videos]
Oct 28 10:30:33 barbatruc squeezeboxserver[2698]: dirsFor: Didn't find a match request: [pictures]
Oct 28 10:30:33 barbatruc squeezeboxserver[2698]: [13-10-28 10:30:33.5038] main::init (355) Starting Logitech Media Server (v7.8.0, 1382588309, Sun Oct 27 20:03:12 PDT 2013) perl 5.016003
Oct 28 10:30:33 barbatruc squeezeboxserver[2698]: [ OK ]
Oct 28 10:30:33 barbatruc systemd[1]: Started LSB: Startup script for the Logitech Media Server.
Oct 28 10:32:39 barbatruc squeezeboxserver[2698]: *** Error in `/usr/bin/perl': malloc(): memory corruption: 0x00007f2b04001c10 ***


Should I care about that ?

Thanks a lot
Antonio

Kynao
2013-12-22, 12:57
Hi,

I've recently upgraded from 7.7.2 to 7.7.3 (on the readynas and the duet).
I use 2 squeezebox receivers.

The receiver connected on ethernet continue to work.
The receiver connected via wifi has not light anymore. Never see this behaviour before.

I tried several times to unplug the power and connect again, i saw blinking red light, then white then green and then nothing again...
I also tried quickly push the button to reboot but same result. Then i tried the last thing i were thinking off : the reset by pushing a long time the button. Now i have the button with red blinking slowly all the time.
While i prefer that to the strange behaviour with no light at all, i don't know how to tell the receiver to connect my readynas and retrieve the values specified in myqueezebox account (or register to it), an idea ?

w3wilkes
2013-12-22, 14:34
You have done a factory reset on the receiver that you did the long button press on. You will either need to use a Duet controller to set it up (it will need your network info before it can connect to your server). If you don't have a controller you can use NET::UDAP to set it up.

Kynao
2013-12-22, 14:57
I resolved it in the meantime, thanks for your answer and your NET::UDAP thing may be interesting for all of us as a general point of information.

w3wilkes
2013-12-22, 21:34
Net::UDAP is a "utility" created by Robin Bowes. It is a command line thing that allows you to set up a receiver without having a controller. Here's a link to Robin's project;
http://projects.robinbowes.com/Net-UDAP/trac
You can also do a google search and you should find more examples of its use in these forums.

Kynao
2013-12-23, 06:35
Thanks you w3wilkes

Owen Smith
2013-12-24, 05:54
Last time I looked at Net::UDAP, even the author admitted it was alpha quality software. I found it very awkward to use, and needed Perl installing on my laptop if I remember correctly. Now that I have several working Controllers, I have uninstalled Perl and Net::UDAP.

w3wilkes
2013-12-24, 10:50
Yes it's true that the code for Net::UDAP is beta at best. That being said I had a problem once with one of my Duet receivers where using the controller I was unable to connect to the server regardless of what I tried. I then used Net::UDAP to configure my LMS server IP into the receiver and fixed the problem. I will always keep a copy and use it as a last resort. There is a Windows compiled version that doesn't require a separate Pearl install that is nice for those of us that have a Windows machine to use. It can be found here;
http://slim2lirc.myown.mailcan.com/udap_shell_1_0_0.exe

Owen Smith
2013-12-24, 11:05
Yes it's true that the code for Net::UDAP is beta at best. That being said I had a problem once with one of my Duet receivers where using the controller I was unable to connect to the server regardless of what I tried. I then used Net::UDAP to configure my LMS server IP into the receiver and fixed the problem. I will always keep a copy and use it as a last resort. There is a Windows compiled version that doesn't require a separate Pearl install that is nice for those of us that have a Windows machine to use. It can be found here;
http://slim2lirc.myown.mailcan.com/udap_shell_1_0_0.exe

Thanks, I've saved a copy of that compiled Net::UDAP.

w3wilkes
2013-12-24, 11:29
I haven't tried this yet, but I grabbed a copy. It's a beta Android .apk that has a GUI for Net::UDAP called SqueezeConfig that was created by Flatterman who created SqueezeCommander.
https://db.tt/fGhlukUE

One interesting note is I've seen a thread that says this even works if you have a Androidx86 install running in a VM.
http://forums.slimdevices.com/showthread.php?76584-Beta-SqueezeConfig-UDAP-Config-tool-for-Android

markmanner
2014-01-01, 08:59
[QUOTE=mherger;754955]Who would have thought?... We just released version 7.7.3 of the Logitech Media Server software. This is a minor update with most important changes for OSX users:

Hi, is there a way to get a version of 7.7.3 for my Synololgy Disk Station NAS to use to upgrade LMS from 7.7.2?
Thanks
Mark

Owen Smith
2014-01-01, 10:09
Hi, is there a way to get a version of 7.7.3 for my Synololgy Disk Station NAS to use to upgrade LMS from 7.7.2?
Thanks
Mark

The 7.7.3 release on the web site appeared to have exactly the same list of platforms and binaries as 7.7.2 so whatever you did to install 7.7.2 should just work for 7.7.3. Binaries can be found on the normal download site.

markmanner
2014-01-01, 11:23
The 7.7.3 release on the web site appeared to have exactly the same list of platforms and binaries as 7.7.2 so whatever you did to install 7.7.2 should just work for 7.7.3. Binaries can be found on the normal download site.
The 7.7.2 version installed automatically from the 'packages' feature on the Synology Diskstation, and seems to require a .spk file to update. I tried the update path via the Synology packages, and it won't accept/recognize the LMS 7.7.3 downloads from the website. I am new to NAS units, so maybe there is way to just install LMS on it and avoid the Synology packages route?

Owen Smith
2014-01-01, 12:12
The 7.7.2 version installed automatically from the 'packages' feature on the Synology Diskstation, and seems to require a .spk file to update. I tried the update path via the Synology packages, and it won't accept/recognize the LMS 7.7.3 downloads from the website. I am new to NAS units, so maybe there is way to just install LMS on it and avoid the Synology packages route?

It sounds to me like Synology did something to provide the 7.7.2 .spk file. There is no such file in the Logitech 7.7.2 downloads directory:

http://downloads.slimdevices.com/LogitechMediaServer_v7.7.2/

Gandhi
2014-01-01, 13:54
Hi, is there a way to get a version of 7.7.3 for my Synololgy Disk Station NAS to use to upgrade LMS from 7.7.2?
Thanks
Mark

The LMS packages for Synology are made by Synology themselves. I don't know exactly how they differ from the regular ones, but if you feel adventurous you could always open the .spk file with 7zip (or equivalent) and start hacking. I haven't tried it myself, but if the differences between 7.7.2 and 7.7.3 are small enough...

mherger
2014-01-02, 00:52
> The LMS packages for Synology are made by Synology themselves. I don't
> know exactly how they differ from the regular ones, but if you feel
> adventurous you could always open the .spk file with 7zip (or
> equivalent) and start hacking. I haven't tried it myself, but if the
> differences between 7.7.2 and 7.7.3 are small enough...

No need to tinker the .spk file. If you feel comfortable copying around
a few files, you could easily take the 7.7.4 (or 7.8 fwiw) tarball, and
copy over the Slim folder with its sub-folders.

--

Michael

markmanner
2014-01-02, 08:32
[QUOTE
No need to tinker the .spk file. If you feel comfortable copying around
a few files, you could easily take the 7.7.4 (or 7.8 fwiw) tarball, and
copy over the Slim folder with its sub-folders.
Michael[/QUOTE]

Michael, I am fairly inexperienced so pardon my ignorance. Where is the Slim folder located? Is the tarball available at the downloads page of LMS? Finally, where do I find the Synology files to replace(I assume I am replacing the existing .spk file with a new one that has the 7.7.4 in it)?
Thanks again,
Mark

poohsan
2014-01-03, 13:40
LMS had already downloaded 7.7.3 so I went ahead and installed it on my 2008 R2 x64

- during the setup it whined about not being able to connect to mySB.com, and I haven't been able to see my player from mySB.com for quite a while, but my router is not blocking any outbound ports. I am in Germany and use a service like smartDNS.

- from the SBP it doesn't show 7.7.3 being available as a fw update - should I be worried or care?

- I was hoping it would fix my unidentified folders (I mostly use flacs) issue. I can understand the more obscure stuff, but some of my mainstream music (billy squier, gerorge thorogood) show up as No Album, Various Artists, though they're at least listed under the artist's name.

Very glad to see there's still support & enthusiasm for these - I love mine, though I'm still a bit miffed they wouldn't repair or replace mine under warranty since the ethernet port is whack. Ah well, I'll use it unto it dies, then cry.

strim
2014-01-03, 18:37
Simply copying all files over the squeezecenter folder will not work.
From 7.7.2 to 7.8 what is going wrong ?

On a Synology DS 213 using ARM Linux Tarball (for Perl 5.8-5.14, ARM EABI)

Sander




> The LMS packages for Synology are made by Synology themselves. I don't
> know exactly how they differ from the regular ones, but if you feel
> adventurous you could always open the .spk file with 7zip (or
> equivalent) and start hacking. I haven't tried it myself, but if the
> differences between 7.7.2 and 7.7.3 are small enough...

No need to tinker the .spk file. If you feel comfortable copying around
a few files, you could easily take the 7.7.4 (or 7.8 fwiw) tarball, and
copy over the Slim folder with its sub-folders.

--

Michael

mherger
2014-01-04, 22:57
> Simply copying files will not work.
> From 7.7.2 to 7.8 what is going wrong.

You might need to replace or rename the main script. I don't know what
Synology is doing. But check the startup script in /etc/init.d for the
actual file LMS is running. That file is either a copy of slimserver.pl
or a link to it. You might need to fix that as well.

--

Michael

Dieter6581
2014-01-20, 11:01
> Simply copying files will not work.
> From 7.7.2 to 7.8 what is going wrong.

You might need to replace or rename the main script. I don't know what
Synology is doing. But check the startup script in /etc/init.d for the
actual file LMS is running. That file is either a copy of slimserver.pl
or a link to it. You might need to fix that as well.

--

Michael


Had someone find a solution for this?
Only copying does not do the trick and i couldnīt find a startup script nor this init.d-file.

Dieter

neilio
2014-02-12, 11:44
I took a look into this. From what I can see with my limited knowledge, Synology has a control script at /var/packages/SqueezeCenter/scripts/start-stop-status. If you try to replace the package install files at /volume1/@appstore/SqueezeCenter with a new version (I tried both 7.7.3 and the latest 7.8 nighty) you get a whack of CPAN errors, a "unknown operand" error, and a "file exists" error.

It looks like the script is trying to create a symlink from /usr/syno/synoman/webman/3rdparty/SqueezeCenter pointing at a non-existent "ui" directory in the main SqueezeCenter install directory. Is that ui directory Synology-specific, or is it part of SqueezeCenter but somehow missing from the tgz?

(update): Okay, yes, the ui directory seems to be Synology-specific. I copied it over to the new install directory I created and now I get the following error dump when I try to start the server:


beatnikstation> ./start-stop-status start
Can't load '/volume1/@appstore/SqueezeCenter/CPAN/arch/5.8.6/MARVELL_88F6281/auto/Media/Scan/Scan.so' for module Media::Scan: libavformat.so.52: cannot open shared object file: No such file or directory at /volume1/@appstore/SqueezeCenter/CPAN/DynaLoader.pm line 230.
at /volume1/@appstore/SqueezeCenter/Slim/Utils/Scanner/LMS.pm line 18
Compilation failed in require at /volume1/@appstore/SqueezeCenter/Slim/Utils/Scanner/LMS.pm line 18.
BEGIN failed--compilation aborted at /volume1/@appstore/SqueezeCenter/Slim/Utils/Scanner/LMS.pm line 18.
Compilation failed in require at /volume1/@appstore/SqueezeCenter/Slim/Control/Commands.pm line 48.
Compilation failed in require at /volume1/@appstore/SqueezeCenter/Slim/Control/Request.pm line 434.
BEGIN failed--compilation aborted at /volume1/@appstore/SqueezeCenter/Slim/Control/Request.pm line 434.
Compilation failed in require at /volume1/@appstore/SqueezeCenter/Slim/Player/Client.pm line 32.
Compilation failed in require at /volume1/@appstore/SqueezeCenter/Slim/Utils/Alarm.pm line 48.
BEGIN failed--compilation aborted at /volume1/@appstore/SqueezeCenter/Slim/Utils/Alarm.pm line 48.
Compilation failed in require at /volume1/@appstore/SqueezeCenter/Slim/Buttons/Alarm.pm line 12.
BEGIN failed--compilation aborted at /volume1/@appstore/SqueezeCenter/Slim/Buttons/Alarm.pm line 12.
Compilation failed in require at /volume1/@appstore/SqueezeCenter/Slim/Buttons/Common.pm line 41.
BEGIN failed--compilation aborted at /volume1/@appstore/SqueezeCenter/Slim/Buttons/Common.pm line 41.
Compilation failed in require at /volume1/@appstore/SqueezeCenter/slimserver.pl line 186.
BEGIN failed--compilation aborted at /volume1/@appstore/SqueezeCenter/slimserver.pl line 186.

sh: 4: unknown operand

Not sure what I need to do to fix this, but it looks like some sort of dynamic library loading issue? (note: I know almost nothing about perl)

nervoteso
2016-04-25, 01:35
hi how to update from 7.7.2 to 7.3.3 on qnap ts 119?

one of my players have been updated to 7.3.3 (it went to mysqueezebox for mistake), not the others, anyway each player is connected to nasa and works well. should i update each player to 7.3.3?

Man in a van
2016-04-25, 02:13
hi how to update from 7.7.2 to 7.3.3 on qnap ts 119?



just change the version if you wish


http://forums.slimdevices.com/showthread.php?101137-Upgrading-to-LMS7-8-on-my-TS-119-Success!


atb

Ronnie

nervoteso
2016-04-26, 02:17
thanks but that guide is too difficult. is there any easier way to pdate to 7.3.3 ot 7.8?

Man in a van
2016-04-26, 04:03
thanks but that guide is too difficult. is there any easier way to pdate to 7.3.3 ot 7.8?



Here is a quick and dirty, cobbled together with cut and paste from other postings here and elsewhere.

You don't have to come from Barcelona to be able to do this;

20368





First I am assuming that you have the QPKG LMS installed from Qnap.

Download this file:


http://downloads.slimdevices.com/LogitechMediaServer_v7.8.0/logitechmediaserver-7.8.0.tgz


Place the file in your "public"-share on the nas.

Then rename the file to: "squeezeboxserver-7.8.0-1367824489.tgz".

Go to SSOTS admin page (i.e. by putting NAS.IP.ADDRESS:9099) into a browser).

The menu options are About | Status | Settings | Tools | Help

First you have to stop the Squeezebox Server - not disabling LMS. That can be done in the |Status| menu (top left hand corner)

Select stop.

Afterwards the upgrade option in the |Tools| menu should be available and not greyed out any more.

Select Upgrade

Once you click "Upgrade" you'll get to the screen shot

20367




When the upgrade is finished restart LMS.

quadronado
2016-04-26, 06:04
thanks but that guide is too difficult. is there any easier way to pdate to 7.3.3 ot 7.8?

It's not difficult to update to 7.8. It's difficult (but worth trying) to update to 7.9. So just skip the steps that are just for the 7.9.

nervoteso
2016-05-05, 14:26
thanks to all

buffettck
2016-05-24, 07:24
Would this update get iHeart radio stations to play on the Squeezebox Radio?

mherger
2016-05-24, 08:38
> Would this update get iHeart radio stations to play on the Squeezebox
> Radio?

No, iHeartRadio currently is not supported on the SB.

--

Michael